/**
 *
 * RapidWeaver Fancy Intro stack by Tsooj Media.
 * Version 2.0.0
 *
 * Visit http://www.tsooj.net for more information on how to use this stacks product for RapidWeaver.
 *
 */

/**
 *
 *  Globals.
 *
 */
var atm_strFancyIntroCookieName = 'atm_FancyIntroDays', atm_strFancyIntroDays = '', atm_blnFancyIntroSkipBrowser = false, atm_strFancyIntroLineHeight = '', atm_blnFancyIntroAsync = %id=async%;
	
/**
 * Get the value of a cookie with the given name.
 *
 * @example $.cookie('the_cookie');
 * @desc Get the value of a cookie.
 *
 * @param String name The name of the cookie.
 * @return The value of the cookie.
 * @type String
 *
 * @name $.cookie
 * @cat Plugins/Cookie
 * @author Klaus Hartl/klaus.hartl@stilbuero.de
 */
 
(function($){
 	$.cookie = function(key, value, options) {
 		if(arguments.length > 1) {
 			var o = $.extend({}, $.cookie.defaults, options);
 	        if (value === null || value === undefined) {
 	            value = '';
 	            o.expires = -1;
 	        }
 	        if (o.expires.constructor != Date) {
 				var today = new Date();
 				today.setDate(today.getDate() + o.expires);
 				o.expires = today;
 			}
 			// Create the cookie string
 			document.cookie = 
 				key + '=' + value +
 				'; expires=' + o.expires.toUTCString() +
 				(o.path? '; path=' + (o.path) : '') +
 				(o.domain? '; domain=' + (o.domain) : '') +
 				(o.secure? '; secure' : '');
 		} else {
 			if(result = new RegExp(key+"=(.*?)(?:;|$)").exec(document.cookie))
 				return decodeURIComponent(result[1]);
 			return false;
 		}
 	};
 	$.cookie.defaults = {
 		expires: ((%id=cookieExpire% == 0) ? -1 : %id=cookieExpire%),
 		path: '/',
 		domain: document.domain,
 		secure: ((document.location.protocol == 'https:') ? true : false)
 	}
})(jQuery);
 

/** 
 *
 * Main Fancy Intro Function.
 *
 */
function atm_ShowFancyIntro() {

	// Hide normal page elements and add Fancy Intro elements.
	$('iframe').hide();
	$('body').css('overflow-y', 'hidden');
	$('<div class="atmFancyIntroBackground"></div>').appendTo('body');
	$('<div class="atmFancyIntroText atmFancyIntroUpperText"></div>').appendTo('body');
	$('<div class="atmFancyIntroText atmFancyIntroLowerText"></div>').appendTo('body');	
	$('<div class="atmFancyIntroLine"></div>').appendTo('body');
	$('.atmFancyIntroUpperText').html($('.atmFancyIntroUpperTextHolder').html());
	$('.atmFancyIntroLowerText').html($('.atmFancyIntroLowerTextHolder').html());
		
	$('.atmFancyIntroBackground').css('visibility', 'visible');
	$('body').css('visibility', 'visible');
	$('.atmFancyIntroText').css('visibility', 'visible');
	$('.atmFancyIntroLine').css('visibility', 'visible');

	// Fancy the Intro.
	$('.atmFancyIntroLine').delay(%id=delay%).animate({ width: '+=100%' }, %id=lineSpeed%, function() {
		$('.atmFancyIntroLine').animate({ height: '+=100%', top: '-=50%' }, %id=growSpeed%, function() {
			$('body').attr('style','');
			$('body').css('visibility', 'visible');
			$('.atmFancyIntroText').css('visibility', 'hidden');
			$('.atmFancyIntroBackground').css('visibility', 'hidden');

			// Fadeout and remove Fancy Intro elements.
			$('.atmFancyIntroLine').animate({ opacity: 0 }, %id=fadeSpeed%, function() {
				$('.atmFancyIntroBackground').remove();
				$('.atmFancyIntroText').remove();
				$('.atmFancyIntroLine').remove();
				$('#%id%').remove();
				$('iframe').show();
				$('body').css('overflow-y', 'visible');
			});
		});
	});
};


/** 
 *
 * Add Hour(s) Function.
 *
 */
Date.prototype.atm_addHours = function(h){
    this.setHours(this.getHours()+h);
    return this;
}



/** 
 *
 * Document Ready Actions.
 *
 */
 
$(document).ready(function() {

	// Skip old IE6 Browser
	if (navigator.userAgent.match(/MSIE (\d+(?:\.\d+)+(?:b\d*)?)/) == "MSIE 6.0,6.0") {
		atm_blnFancyIntroSkipBrowser = true;
	} else {
		atm_strFancyIntroDays = $.cookie(atm_strFancyIntroCookieName);
		if ((atm_strFancyIntroDays == '') || (%id=cookieExpire% == 0)) {

			// Show the Fancy Intro.
			atm_ShowFancyIntro();
			
			// Hide for given number of Days or Hours.
			if ((%id=hours%) && (%id=cookieExpire% != 0)) {
				$.cookie(atm_strFancyIntroCookieName, %id=cookieExpire%, { expires: new Date().atm_addHours(%id=cookieExpire%)});
			} else {
				$.cookie(atm_strFancyIntroCookieName, %id=cookieExpire%);
			}
		} else {
			$('atmFancyIntroPreLoadBackground, .atmFancyIntroBackground').remove();
			$('body').css('visibility', 'visible');
		}	
	}

});
